Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.domains.statistics.get_ddos_attacks(
domain_id=1,
)
page = page.results[0]
print(page.end_time)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.Domains.Statistics.GetDDOSAttacks(
context.TODO(),
1,
waap.DomainStatisticGetDDOSAttacksParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/ddos-attacks \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/ddos-attacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"count": 123,
"results": [
{
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
]
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Analytics
Get Ddos Attacks
Retrieve a domain’s DDoS attacks
GET
/
waap
/
v1
/
domains
/
{domain_id}
/
ddos-attacks
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.waap.domains.statistics.get_ddos_attacks(
domain_id=1,
)
page = page.results[0]
print(page.end_time)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/waap"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Waap.Domains.Statistics.GetDDOSAttacks(
context.TODO(),
1,
waap.DomainStatisticGetDDOSAttacksParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
The domain ID
Query Parameters
Sort the response by given field.
Available options:
start_time, -start_time, end_time, -end_time Number of items to return
Required range:
0 <= x <= 100Number of items to skip
Required range:
0 <= x <= 100000Filter attacks starting from a specified date in ISO 8601 format
Example:
"2024-04-26T13:32:49Z"
Filter attacks up to a specified end date in ISO 8601 format
Example:
"2024-04-27T13:00:00Z"
Response
Successful Response
Was this page helpful?